Pular para o conteúdo principal
GET
/
sales
cURL
curl --request GET \
  --url https://public-api.kiwify.com/v1/sales \
  --header 'Authorization: Bearer <token>' \
  --header 'x-kiwify-account-id: <api-key>'
{ "pagination": { "count": 10, "page_number": 1, "page_size": 10 }, "data": [ { "id": "5cbb3832-7b5f-4cf2-b04e-ca6a4289d896", "reference": "9dAQA5a", "type": "product", "created_at": "2023-10-31T16:53:05.119Z", "updated_at": "2023-10-31T16:57:01.810Z", "product": { "id": "aaa86f40-d7ae-11ed-acc6-e1c45591a30e", "name": "my product" }, "shipping": { "id": "255f7ae0-8694-40f9-b905-7507fe6bc58f", "name": "Entrega Grátis", "price": 0 }, "status": "paid", "payment_method": "boleto", "net_amount": 0, "currency": "BRL", "customer": { "id": "29eb9963-8f4f-4c03-9897-63bdba0d5eb2", "name": "my customer", "email": "mycustomer@mail.com", "cpf": "99999999999", "mobile": "+5599999999999", "instagram": "y_instagram", "country": "BR", "address": { "street": "Rua Danilo", "number": "407", "complement": "Apt. 123", "neighborhood": "Jardim dos Jardineiros", "city": "Paulista", "state": "SE", "zipcode": "46121-175" } } } ] }

Autorizações

x-kiwify-account-id
string
header
obrigatório
Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

status
enum<string>
Opções disponíveis:
approved,
authorized,
chargedback,
paid,
pending,
pending_refund,
processing,
refunded,
refund_requested,
refused,
waiting_payment
view_full_sale_details
boolean
payment_method
enum<string>
Opções disponíveis:
boleto,
credit_card,
pix
product_id
string
Exemplo:

"ba385b7c-cac1-4422-925d-7f707d8267d2"

affiliate_id
string
Exemplo:

"ba385b7c-cac1-4422-925d-7f707d8267d2"

page_size
string
page_number
string
start_date
string
obrigatório
end_date
string
obrigatório
updated_at_start_date
string
updated_at_end_date
string

Resposta

Get Sales

pagination
object
data
any[]
Exemplo:
[]